> ## Documentation Index
> Fetch the complete documentation index at: https://hoalulab.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Create purchase order



## OpenAPI

````yaml /vi/openapi/fireant-v1.yaml post /fmarket/orders/create-purchase-order/request
openapi: 3.1.0
info:
  version: v1
  title: FireAnt RESTFUL API
  description: Tài liệu đặc tả FireAnt RESTFUL API v1.0.0
servers:
  - url: https://api.fireant.vn
security: []
paths:
  /fmarket/orders/create-purchase-order/request:
    post:
      tags:
        - Fmarket
      summary: Create purchase order
      operationId: Fmarket_CreatePurchaseOrder
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/FireAnt.Api.Models.Fmarket.CreatePurchaseOrderRequest
          text/json:
            schema:
              $ref: >-
                #/components/schemas/FireAnt.Api.Models.Fmarket.CreatePurchaseOrderRequest
      responses:
        '200':
          description: Thành công
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/FireAnt.Api.Models.Fmarket.CreatePurchaseOrderResult
            text/json:
              schema:
                $ref: >-
                  #/components/schemas/FireAnt.Api.Models.Fmarket.CreatePurchaseOrderResult
        '400':
          description: Có lỗi khi thực hiện thao tác
      security:
        - oauth2:
            - user-data-write
components:
  schemas:
    FireAnt.Api.Models.Fmarket.CreatePurchaseOrderRequest:
      type: object
      properties:
        fmarket_id:
          type: string
        product_id:
          format: int32
          type: integer
        amount:
          format: int64
          type: integer
    FireAnt.Api.Models.Fmarket.CreatePurchaseOrderResult:
      type: object
      properties:
        verification_id:
          type: string
        verification_token_required:
          type: boolean
        verification_token_expire_time:
          format: int64
          type: integer
        code:
          type: string
        type:
          type: string
        type_label:
          type: string
        create_date:
          format: int64
          type: integer
        create_date_format:
          type: string
        amount:
          format: double
          type: number
        amount_net:
          format: double
          type: number
        price:
          format: double
          type: number
        volume:
          format: double
          type: number
        fee_percent:
          format: double
          type: number
        fee_amount:
          format: double
          type: number
        product:
          $ref: '#/components/schemas/FireAnt.Api.Models.Fmarket.ProductInformation'
        dst_product:
          $ref: '#/components/schemas/FireAnt.Api.Models.Fmarket.ProductInformation'
        investor_bank_acc:
          $ref: '#/components/schemas/FireAnt.Api.Models.Fmarket.BankAccountInfo'
        receive_money_bank_acc:
          $ref: '#/components/schemas/FireAnt.Api.Models.Fmarket.BankAccountInfo'
        transfer_content:
          type: string
        tax_percent:
          format: double
          type: number
        tax_amount:
          format: double
          type: number
    FireAnt.Api.Models.Fmarket.ProductInformation:
      type: object
      properties:
        id:
          format: int32
          type: integer
        name:
          type: string
        code:
          type: string
        short_name:
          type: string
        nav:
          format: double
          type: number
        approval_date_label:
          type: string
        sale_payment_term:
          format: int32
          type: integer
        order_book_closed_time_label:
          type: string
        receive_money_closed_time_label:
          type: string
        trading_session:
          format: int64
          type: integer
        trading_session_format:
          type: string
        nav_date:
          type: string
        nav_to_previous_value:
          format: double
          type: number
        nav_to_previous:
          format: double
          type: number
        issuer_info:
          $ref: '#/components/schemas/FireAnt.Api.Models.Fmarket.IssuerInformation'
        nav_change:
          $ref: '#/components/schemas/FireAnt.Api.Models.Fmarket.NavChange'
    FireAnt.Api.Models.Fmarket.BankAccountInfo:
      type: object
      properties:
        bank_id:
          type: string
        bank_swift_code:
          type: string
        bank_name:
          type: string
        bank_branch:
          type: string
        bank_acc_no:
          type: string
        bank_acc_name:
          type: string
        bin_code:
          type: string
    FireAnt.Api.Models.Fmarket.IssuerInformation:
      type: object
      properties:
        id:
          format: int32
          type: integer
        name:
          type: string
        short_name:
          type: string
        website:
          type: string
        avatar_url:
          type: string
    FireAnt.Api.Models.Fmarket.NavChange:
      type: object
      properties:
        nav_to_3_months:
          format: double
          type: number
        nav_to_6_months:
          format: double
          type: number
        nav_to_12_months:
          format: double
          type: number
        nav_to_36_months:
          format: double
          type: number
        nav_to_beginning:
          format: double
          type: number
        annualized_return_36_months:
          format: double
          type: number
  securitySchemes:
    oauth2:
      type: oauth2
      flows:
        implicit:
          scopes:
            accounts-read: Đọc danh sách tài khoản giao dịch chứng khoán
            accounts-write: Liên kết tài khoản chứng khoán
            orders-read: Đọc danh sách lệnh giao dịch chứng khoán
            orders-write: Đặt, sửa, hủy lệnh giao dịch chứng khoán
            companies-read: Đọc thông tin doanh nghiệp
            companies-write: Tạo mới, cập nhật, xóa thông tin doanh nghiệp
            individuals-read: Đọc thông tin cá nhân
            individuals-write: Tạo mới, cập nhật, xóa thông tin cá nhân
            finance-read: Đọc thông tin tài chính
            finance-write: Tạo mới, cập nhật, xóa thông tin tài chính
            posts-write: Đăng bài viết
            posts-read: Lấy nội dung các bài viết của cộng đồng
            symbols-read: Đọc thông tin mã chứng khoán
            symbols-write: Tạo mới, cập nhật, xóa mã chứng khoán
            users-read: Đọc dữ liệu công khai của người dùng
            user-data-read: Đọc tất cả dữ liệu của người dùng hiện tại
            user-data-write: Cập nhật tất cả dữ liệu của người dùng hiện tại
            search: Tìm kiếm
            academy-read: Đọc dữ liệu các khóa học
            academy-write: Đăng ký khóa học
            blog-read: Đọc dữ liệu blog
            investopedia-read: Đọc dữ liệu thuật ngữ
            commodities-read: Đọc dữ liệu hàng hóa phái sinh
            all_claims: All
            roles: Role
          authorizationUrl: https://accounts.fireant.vn/connect/authorize
      description: OAuth2 Implicit Grant

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.